pr29_4z(3)

NAME
pr29_4z - check if input trigger Unicode normalization bugs

SYNOPSIS
#include <pr29.h>

int pr29_4z(const uint32_t * in);

ARGUMENTS

const uint32_t * in
    zero terminated array of Unicode code points.

DESCRIPTION
Check the input to see if it may be normalized into different strings by different NFKC implementations, due to an anomaly in the NFKC specifications.

RETURN VALUE
Returns the Pr29_rc value PR29_SUCCESS on success, and PR29_PROBLEM if the input sequence is a "problem sequence" (i.e., may be normalized into different strings by different implementations).

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>.

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008 Simon Josefsson.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.